#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define modname fpconst
Name:           python-%{modname}
Version:        0.7.3
Release:        3.1
License:        Apache License
Summary:        Utilities for Handling IEEE 754 Floating Point Special Values
Url:            http://research.warnes.net/projects/RStatServer/fpconst/index_html
Group:          Development/Libraries/Python
Source:         %{modname}-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
This python module implements constants and functions for working with IEEE754
double-precision special values. It provides constants for Not-a-Number (NaN),
Positive Infinity (Inf), and Negative Infinity (-Inf), as well as functions to
test for these values.

%prep
%setup -q -n %{modname}-%{version}
chmod 0644 pep-0754.txt

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --record=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc CHANGELOG COPYING README pep-0754.txt

%changelog
* Tue Mar 22 2011 malcolmlewis@opensuse.org
- Fix executable-docs error
- Clean spec file and create changes file
* Thu Oct  4 2007 jfunk@funktronics.ca
- Initial release
